.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
  opacity: 0;
  visibility: hidden;
   /* 3-second smooth transition */
  transition: opacity 3s ease, visibility 3s ease; 
}

/* Trigger class to make it visible */
.modal-overlay.active {
  opacity: 1;
  visibility: visible;
}

.modal-content {
  background: white;
  padding: 0px;
  border-radius: 20px;
  position: relative;
  max-width: 90%;
}

.modal-content img {
  display: block;
  max-width: 100%;
  height: auto;
}

.close-btn {
  position: absolute;
  top: -10px;
  right: -10px;
  background: white;
  border: 2px solid #333;
  border-radius: 50%;
  width: 25px;
  height: 25px;
  font-size: 18px;
  font-weight: bold;
  text-align: center;
  cursor: pointer;
  color:red;
}










